URL Benchmark Tool
==================
This is a small tool, you can use to benchmark different URLs, and was very useful in my job.

This app is written in CoffeeScript, and in PHP (mostly).

Used libraries and frameworks
=============================

* jQuery (http://jquery.com/)
* jquery-tmpl (https://github.com/jquery/jquery-tmpl)
* Flot (http://www.flotcharts.org/)
* CurvedLines (http://www.billigerbiken.de/CurvedLines/)
* Bootstrap (http://twitter.github.io/bootstrap/)
* Spine (http://spinejs.com/)
* phpSprockets (https://github.com/gaborsar/php-sprockets)

Usage
=====

<b>New test page:</b> This is the page where you can add (or remove) URLs (URLs you would like to test together),
and can start your test. You can also specify, how many times you would like to test those URLs.
<br>Very shortly: this is the page where you can prepare and start a very simple test.

<b>URL sets page:</b> On this page, you can organize different URL collections (sets),
so you can test them later as well.
* Create a new set: You just have to set the name of your new set, click on the save button,
and the content of the new test page will be saved under that name.
* Open a set: Click on the small 'open folder like' button at the set you would like to open.
* Modify a set: Open it (previous point), make your modifications at the new test page,
navigate back to this (URL sets) page and click on the small 'refresh like button' at the set you would like to modify.
* Delete a set: Simply click on the small trash button at the set you would like to delete.

<b>Test in progress page:</b> On this page you can see the progress (and the result) of your test,
and you also can stop, or restart the current test.
Test result shown in a chart, and in a table (min, max, avg load times) as well.

Notes
=====
 * If you would like to use this tool on your server, check how to set up sprockets!
 * This app only works in HTML5 ready browser!

Screenshots
===========

<b>New tet page</b>
![New test page](http://urlbenchmarktool.artoon.hu/screenshots/url_benchmark_tool_new_test_page.png)

<b>URL sets page</b>
![URL sets Page](http://urlbenchmarktool.artoon.hu/screenshots/url_benchmark_tool_url_sets_page.png)

<b>Test in progree page</b>
![Test in progress page](http://urlbenchmarktool.artoon.hu/screenshots/url_benchmark_tool_test_in_progress_page.png)
