<?php

namespace Sprockets;

/**
 * Command interface.
 * This is a CommandInterface in a Command design pattern.
 *
 * @author Gabor Sar <gabor.sar@artoon.hu>
 * @package \Sprockets
 */
interface CommandInterface
{
    /**
     * Executes a command,
     * calls an action of the receiver object.
     */
    public function execute();
}
