<?php

// get UrlSpeedTester class
require_once('../../library/UrlSpeedTester.php');

// filtered data
$clean = array();

// get filtered urls array
$clean['urls'] = array();
foreach ($_POST['urls'] as $url) {
    // if url is an array and it have the required attributes
    if (is_array($url) && isset($url['url']) && isset($url['id'])) {
        // if url is (it's attributes - elements are) valid
        if (
            filter_var($url['url'], FILTER_VALIDATE_URL)
            && is_scalar($url['id'])
        ) {
            // valid => add it to clean array
            $clean['urls'][$url['id']] = $url['url'];
        }
    }
}

// get times | DO NOT USE ANYTHING ELSE EXCEPT CLEAN AS PARAMETER
$times = UrlSpeedTester::getSpeeds($clean['urls']);
$response = json_encode($times);

// print response
echo $response;
